Subject: Re: bug#30250: Two failures on ‘make -k "-j$(nproc)" check’

From: [email-masked] (Ludovic Courtès)
Date: Tue, 30 Jan 2018 22:32:47 +0100

"Jorge" <[email-masked]> skribis:

> January 30, 2018 3:16 PM, [email-masked] wrote:
>
>> This has to do with bad $http_proxy handling in old Guile versions
> But I am using the packaged Guile from Debian buster, which is recent:
>     $ guile --version
>     guile (GNU Guile) 2.2.2
>     Packaged by Debian (2.2.2-deb+2-1)
>     […]
>
>> […] that download step no longer exists in the ‘core-updates’
>> branch that’s to be merged in the coming days.
> Thank you for the information.  Perhaps I should try again after that
> branch is merged.
>
>> Thanks anyway, I consider the case closed on our side.
>
> Will you update the test so it works when ‘language/tree-il/spec.scm’ is
> a symlink?  Since Stow is a GNU package, maybe Guix should either be
> compatible with it or warn in the documentation about the
> incompatibility.

Yes, done in commit 9d6fae65f3c2197e7b95afebd0a13908bdb4aed9.

Thanks,
Ludo’.